package pdftext;

import java.io.File;

import org.apache.pdfbox.cos.COSName;
import org.apache.pdfbox.pdmodel.PDDocument;
import org.apache.pdfbox.pdmodel.PDPage;
import org.apache.pdfbox.pdmodel.PDResources;
import org.apache.pdfbox.pdmodel.common.PDRectangle;
import org.apache.pdfbox.pdmodel.font.PDFont;
import org.apache.pdfbox.pdmodel.font.PDType0Font;
import org.apache.pdfbox.pdmodel.interactive.annotation.PDAnnotationWidget;
import org.apache.pdfbox.pdmodel.interactive.form.PDAcroForm;
import org.apache.pdfbox.pdmodel.interactive.form.PDTextField;


public class my_main {

	public static void main(String[] args) throws Exception{
		
		PDDocument doc = new PDDocument();
		PDPage page = new PDPage();

		// add a new AcroForm and add that to the document
		PDAcroForm form = new PDAcroForm(doc);
		doc.getDocumentCatalog().setAcroForm(form);

		// Add and set the resources and default appearance at the form level
		PDFont font = PDType0Font.load(doc, new File("c:\\Windows\\Fonts\\arial.ttf"));
		PDResources res = new PDResources();
		COSName fontName = res.add(font);
		form.setDefaultResources(res);
		String da = "/" + fontName.getName() + " 12 Tf 0 g";
		form.setDefaultAppearance(da);

		// add a page to the document 
		doc.addPage(page);

		// add a form field to the form
		PDTextField textBox = new PDTextField(form);
		textBox.setPartialName("kostya");
		form.getFields().add(textBox);

		// specify the annotation associated with the field
		// and add it to the page
		PDAnnotationWidget widget = textBox.getWidget();
		PDRectangle rect = new PDRectangle(100f,300f,120f,350f);
		widget.setRectangle(rect);
		page.getAnnotations().add(widget);
		textBox.setDefaultAppearance(da);

		// set the field value
		textBox.setValue("Просто текст"); //on Russian text UTF-8
		doc.save("d:\\work\\kostya.pdf");

	}

}
